# frozen_string_literal: true

module AndriiCodebreaker
  class User
    include Constant

    attr_reader :name

    def initialize(name)
      @name = name
    end

    def self.validate_name(name)
      name if name.length >= NAME_MIN_LENGTH && name.length <= NAME_MAX_LENGTH
    end
  end
end
