# frozen_string_literal: true

module AndriiCodebreaker
  module Statistic
    include Constant

    def statistics
      data = DbYaml.load_file_stats('result.yml')
      data.sort_by { |item| [-DIFFICULTY_SORT[item.difficulties.name.to_sym], item.used_attempts, item.used_hints] }
    end
  end
end
